Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Notify_StructuredEvents Class Reference

TAO_Notify_StructuredEvents. More...

`#include <Notify_StructuredEvents.h>`

Inheritance diagram for TAO_Notify_StructuredEvents:

[legend]
Collaboration diagram for TAO_Notify_StructuredEvents:

[legend]
List of all members.

## Public Methods
| TAO_Notify_StructuredEvents (const CosNotification::EventBatch &notifications)
virtual | ~TAO_Notify_StructuredEvents ()
virtual TAO_Notify_Event * | clone (void)
| We may need to make a copy of the underlying data if it is not owned by us. More...
void | operator= (const TAO_Notify_StructuredEvents &structured_events)
virtual CORBA::Boolean | is_special_event_type (void) const
| Is this the "special" event type. More...
virtual const TAO_Notify_EventType & | event_type (void) const
| Get the event type. More...
virtual CORBA::Boolean | do_match (CosNotifyFilter::Filter_ptr filter ACE_ENV_ARG_DECL)
| Returns true if the filter matches. More...
virtual void | do_push (CosEventComm::PushConsumer_ptr consumer ACE_ENV_ARG_DECL) const
| Push self to <consumer>. More...
virtual void | do_push (CosNotifyComm::StructuredPushConsumer_ptr consumer ACE_ENV_ARG_DECL) const
virtual void | do_push (CosNotifyComm::SequencePushConsumer_ptr consumer, const TAO_Notify_QoSAdmin_i &qos_admin, CosNotification::EventBatch &unsent, int flush_queue ACE_ENV_ARG_DECL) const
## Protected Methods
void | init_QoS (void)
| Load the QoS properties these events from <data_>. More...
## Protected Attributes
CosNotification::EventBatch | data_
| The data. More...
TAO_Unbounded_Sequence< CORBA::ULong > | matching_
| The events that matched the filter. More...
int | match_called_
| Was do_match () called? More...
TAO_Notify_EventType | event_type_
| The event types of <data_>. More...

## Detailed Description

TAO_Notify_StructuredEvents.

This class is the concrete prototype for the Structured Event Types.

## Constructor & Destructor Documentation

TAO_Notify_StructuredEvents::TAO_Notify_StructuredEvents | ( | const CosNotification::EventBatch & | notifications | ) |

TAO_Notify_StructuredEvents::~TAO_Notify_StructuredEvents | ( |  | ) | `[virtual]`

## Member Function Documentation

TAO_Notify_Event * TAO_Notify_StructuredEvents::clone | ( | void |  | ) | `[virtual]`

| We may need to make a copy of the underlying data if it is not owned by us. Note this behaviour: If this object owns the data, then we *transfer* ownership of the data to the new object otherwise we copy the data for the new object. Reimplemented from TAO_Notify_Event.

CORBA::Boolean TAO_Notify_StructuredEvents::do_match | ( | CosNotifyFilter::Filter_ptr filter | ACE_ENV_ARG_DECL | ) | `[virtual]`

| Returns true if the filter matches. Reimplemented from TAO_Notify_Event.

void TAO_Notify_StructuredEvents::do_push | ( | CosNotifyComm::SequencePushConsumer_ptr | consumer,
|  | const TAO_Notify_QoSAdmin_i & | qos_admin,
|  | CosNotification::EventBatch & | unsent,
|  | int | flush_queue
| ) | const`[virtual]`

| Reimplemented from TAO_Notify_Event.

void TAO_Notify_StructuredEvents::do_push | ( | CosNotifyComm::StructuredPushConsumer_ptr consumer | ACE_ENV_ARG_DECL | ) | const`[virtual]`

| Reimplemented from TAO_Notify_Event.

void TAO_Notify_StructuredEvents::do_push | ( | CosEventComm::PushConsumer_ptr consumer | ACE_ENV_ARG_DECL | ) | const`[virtual]`

| Push self to <consumer>. Reimplemented from TAO_Notify_Event.

const TAO_Notify_EventType & TAO_Notify_StructuredEvents::event_type | ( | void |  | ) | const`[virtual]`

| Get the event type. Reimplemented from TAO_Notify_Event.

void TAO_Notify_StructuredEvents::init_QoS | ( | void |  | ) | `[protected]`

| Load the QoS properties these events from <data_>.

CORBA::Boolean TAO_Notify_StructuredEvents::is_special_event_type | ( | void |  | ) | const`[virtual]`

| Is this the "special" event type. Reimplemented from TAO_Notify_Event.

void TAO_Notify_StructuredEvents::operator= | ( | const TAO_Notify_StructuredEvents & | structured_events | ) |

## Member Data Documentation

CosNotification::EventBatch TAO_Notify_StructuredEvents::data_`[protected]`

| The data.

TAO_Notify_EventType TAO_Notify_StructuredEvents::event_type_`[protected]`

| The event types of <data_>.

int TAO_Notify_StructuredEvents::match_called_`[protected]`

| Was do_match () called?

TAO_Unbounded_Sequence<CORBA::ULong> TAO_Notify_StructuredEvents::matching_`[protected]`

| The events that matched the filter.

The documentation for this class was generated from the following files:

- Notify_StructuredEvents.h
- Notify_StructuredEvents.cpp